ossl_ns_spki.h File Reference

Go to the source code of this file.

## Functions

void | Init_ossl_ns_spki (void)

## Variables

VALUE | mNetscape
VALUE | cSPKI
VALUE | eSPKIError

## Function Documentation

void Init_ossl_ns_spki | ( | void |  | ) |

Definition at line 235 of file ossl_ns_spki.c.

References cSPKI, eOSSLError, eSPKIError, mNetscape, mOSSL, ossl_spki_alloc(), ossl_spki_get_challenge(), ossl_spki_get_public_key(), ossl_spki_initialize(), ossl_spki_print(), ossl_spki_set_challenge(), ossl_spki_set_public_key(), ossl_spki_sign(), ossl_spki_to_der(), ossl_spki_to_pem(), ossl_spki_verify(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), and rb_define_module_under().

Referenced by Init_openssl().

## Variable Documentation

VALUE cSPKI

Definition at line 30 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki().

VALUE eSPKIError

Definition at line 31 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki(), ossl_spki_alloc(), ossl_spki_get_public_key(), ossl_spki_initialize(), ossl_spki_print(), ossl_spki_set_challenge(), ossl_spki_set_public_key(), ossl_spki_sign(), ossl_spki_to_pem(), and ossl_spki_verify().

VALUE mNetscape

Definition at line 29 of file ossl_ns_spki.c.

Referenced by Init_ossl_ns_spki().